{% extends 'company_location_management/looking_for_property_request/looking_for_property_request.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/expose_forwarding/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/expose_forwarding/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% set lookingForPropertyRequestOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'lookingForPropertyRequestOverview') %}
        {% if lookingForPropertyRequestOverviewLastVisitedPage != null %}
            {% set lookingForPropertyRequestOverviewPagePath = path(lookingForPropertyRequestOverviewLastVisitedPage.getRouteName(), lookingForPropertyRequestOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set lookingForPropertyRequestOverviewPagePath = path('company_location_management_looking_for_property_request_overview')  %}
        {% endif %}
        <a href="{{ lookingForPropertyRequestOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Angebote zum Ansiedlungsgesuch <i>{{ lookingForPropertyRequest.getTitle() }}</i></span>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg my-4">
        <div class="mdc-card">
            <p class="p-4">
                Hier finden Sie Kurzexposés von Objekten, die zu Ihrem Ansiedlungsgesuch passen. Die Kurzexposés öffnen Sie mit Klick auf das Auge-Icon.
                Diese Kurzexposés wurden Ihnen durch Sachbearbeiter:innen der {% if app.user.getAccount().getParentAccount() != null %}{{ app.user.getAccount().getParentAccount().getName() }}{% else %}{{ app.user.getAccount().getName() }}{% endif %} weitergeleitet.
                Auf dem Kurzexposé finden Sie Ansprechpersonen, die Sie kontaktieren können, sofern das Objekt für Sie interessant ist.
                Sollte das Objekt nicht interessant sein, so können Sie es ablehnen und einen Grund angeben.
                Dieser wird dann zukünftig bei der Auswahl weiterer Objekte berücksichtigt.
            </p>
            {% include 'company_location_management/component/looking_for_property_request/expose_forwarding_list_component.html.twig' with {
                'idPrefix': 'expose_forwarding_',
                'listItems': exposeForwardings,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
